Subject: RE: bug#1205: 23.0.60; C-x RET c FOO C-x C-g signals an error

From: "Drew Adams" <[email-masked]>
Date: Wed, 22 Oct 2008 09:20:35 -0700

> >>>> +     (if (char-equal last-input-char ?\C-g)
> >>> quit_char may not be C-g.
> >> So ?\C-g should be expressed instead as (nth 3 
> >> (current-input-mode)), correct?
> > 
> > Essentially the question I asked emacs-devel today (based 
> > on this thread, though I had forgotten where I saw it).
> > See emacs-devel thread "question about `quit-char'", FYI.
> > 
> > The answer I got was no, not in Emacs 23 (or 22 or 21...). 
> > Later, maybe. 
> > 
> > There was a fair amount of noise and distraction in the 
> > thread, but that's the answer I took away for this question.
> 
> That's not the conclusion I came to, which is: You should feel fairly
> confident in binding C-g as a quit character in your code, but
> Emacs itself should continue to fully support current-input-mode/
> set-input-mode -- unless and until a decision is reached to deprecate
> the QUIT functionality they provide.

OK, I didn't mean to pronounce on what Emacs would/should support, but rather to
communicate the part about what users should do now in their code. My reading
was not just that one can feel confident using C-g now but that that is what one
should do, for now.

But anyway, you've obviously read the thread, and all I wanted to do was bring
it to your attention.